[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Upgrade path to slink from pre-2.0 releases

Bob Hilliard wrote:
>      An update path from pre-2.0 releases should be included in the
> slink CD and all subsequent releases, at last for several years, in
> order to fulfill Debian's promise of upgrading in place.  (Within the
> past month I have had correspondence from someone upgrading from 1.1
> to hamm.)

Agreed.  Could you edit the script?  Btw. hamm still contains a broken
script, a fixed version is hosed in the incoming directory for about
two months.

>      Another approach, since apt-get is now stable, would be to
> abandon the autoup script entirely.  The libc5 version of apt-get and
> dpkg_1.4.0.8.deb (required when updating from a buzz system) and a
> README file would be the only files needed in the upgrade directory.
> As before, this would not need updating for future releases.

This is a fine alternative for systems where apt-get works.  It should
be mentioned and proper versions should be provided.



Whenever you meet yourself you're in a time loop or in front of a mirror.

Reply to: